<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">FocusedShadowCameraSetup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::FocusedShadowCameraSetup Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a2717983dfbfaff59191bb51fae350ece">buildViewMatrix</a>(const Vector3 &amp;pos, const Vector3 &amp;dir, const Vector3 &amp;up) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#af13f2303f0a347a74aaca487482d40ba">calculateB</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, const AxisAlignedBox &amp;sceneBB, const AxisAlignedBox &amp;receiverBB, PointListBody *out_bodyB) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a0706a0e7b7ec6aecf9639dbe5b9cc7a2">calculateLVS</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, const AxisAlignedBox &amp;sceneBB, PointListBody *out_LVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a7236f92a6006f84b7441adce882713df">calculateShadowMappingMatrix</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, Matrix4 *out_view, Matrix4 *out_proj, Camera *out_cam) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#af4fec2364b3404a7738e9b5ede0710e7">FocusedShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a5a463b751319df295758fa832e9f8e2d">getLSProjViewDir</a>(const Matrix4 &amp;lightSpace, const Camera &amp;cam, const PointListBody &amp;bodyLVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a023ab991324e937410c0b8bc654085e5">getNearCameraPoint_ws</a>(const Matrix4 &amp;viewMatrix, const PointListBody &amp;bodyLVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a143f0b68859d6074732415c3591e3c24">getShadowCamera</a>(const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam, size_t iteration) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a89fc1444a88d8c20c35ee50a8c518564">getUseAggressiveFocusRegion</a>() const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#ae784e0376eb99fa60f2c4a995ccd162e">mBodyB</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a1cdb9e5c72f7bbb936b2ba84cf605787">mLightFrustumCamera</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a113a55085b7c23a1004a4be9f3155c1c">mLightFrustumCameraCalculated</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a84c5bc98d3d36f4e3f858d726d1cb19e">mPointListBodyB</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a69328121d415c6e9033ff0e3d7d21cd2">mPointListBodyLVS</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a3c6218ad4ccccd28374444f1ecd2b3d5">msLightSpaceToNormal</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a2022a48e9e37aa409682d320233cfa09">msNormalToLightSpace</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a0ebae20e4252d229af9524a8690ecc11">mTempFrustum</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#ac22ea363ab7fc61d60f0c1518015cb6b">mUseAggressiveRegion</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#af57854c45cd48033da1cb28e316901dc">setUseAggressiveFocusRegion</a>(bool aggressive)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a1438dc104a74c79bbe98df922e31651b">transformToUnitCube</a>(const Matrix4 &amp;m, const PointListBody &amp;body) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#aa37dc46bc1cc5a65359c66fdb539b74c">~FocusedShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html#a790a06721a8e3c6f48218aa659c334ef">~ShadowCameraSetup</a>()</td><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html">Ogre::ShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
